#ifndef NAVNUMBERS_H
#define NAVNUMBERS_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "utils.h"

class Navigator;

class NavNumbers  
{
public:
	NavNumbers(Navigator* navigator);
	virtual ~NavNumbers();
	
	// initialize with this maximum number
	void show(int maxNumber, UString command);
	// redraw the screen. This should use methods in BibleReader.h to do the drawing
	void paint();
	// signals that the user has tapped somewhere. 
	// returns: the number that the user has tapped. -1 if no number
	int userTap(int x, int y); 
private:
	Navigator* navigator;
	int maxNumber;
	UString command;
	int start;
};

#endif