#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>
#include <windows.h>

int close (int fd) {
  return fclose((FILE*)fd);
}

int open(const char *path, int mode) {
  char cmode[4];
  cmode[0] = cmode[1] = cmode[2] = cmode[3] = 0;
  if (mode & O_RDWR) {
    cmode[1] = '+';
	cmode[0] = 'r';
  }
  if (mode & O_RDONLY)
    cmode[0] = 'r';
  if (mode & O_WRONLY)
    cmode[0] = 'w';

  if ((mode & O_CREAT ) && (cmode[0] == 'w')) cmode[1] = '+';
  if (mode & O_APPEND) {
    if (cmode[0] == 'r') cmode[1] = '+';
    cmode[0] = 'a';
  }
  if (mode & O_BINARY) {
    cmode[1] ? (cmode[2] = 'b') : (cmode[1] = 'b');
  }
  int result=(int)fopen(path, cmode);
  if (!result) {
	  WCHAR buf[100];
	  mbstowcs(buf,"file: ",6);
	  mbstowcs(&buf[6],path,100);
	  wcscpy(&buf[wcslen(buf)],L" error: ");
	  DWORD errorNr=GetLastError();
	  _itow(errorNr,&buf[wcslen(buf)],10);
	  MessageBox(0,buf,L"Unable to open:",MB_OK|MB_ICONERROR);
  }
  return result;
}

int open(const char *path, int access, unsigned mode) {
	return open(path, access | mode);
}

int read(int fd, void* buf, size_t count) {
	return fread(buf, 1, count, (FILE*)fd);
}

int write(int fd, const void * buf, size_t count) {
	return fwrite(buf, 1, count, (FILE*)fd);
}

//int write(int fd, const char * buf, size_t count)

typedef long off_t;

off_t lseek(int fildes, off_t offset, int whence) {
	if (!(fseek((FILE*)fildes, offset, whence))) {
		//fgetpos((FILE*)fildes, (fpos_t*)offset);
		return offset;
		//return 0; //success
	}
	else
	  //return (off_t)-1;
	  return -1;
}

int access(const char* path, int mode) {
	//We cannot tell wheather this file exists, just try opening it anyway
	return 0;
}

// TODO: create a directory
int mkdir(const char *) {
	return 0;
}

// TODO: delete a file
int remove(const char *) {
	return 0;
}