// NavBooks.h: interface for the NavBooks class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NAVBOOKS_H__35FAA458_FB75_451F_ABA4_FEE4D5D24BFC__INCLUDED_)
#define AFX_NAVBOOKS_H__35FAA458_FB75_451F_ABA4_FEE4D5D24BFC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "utils.h"

class Navigator;
class SwordIndex;

class NavBooks  
{
public:
	NavBooks(Navigator* navigator);
	virtual ~NavBooks();
	// redraw the screen. This should use methods in BibleReader.h to do the drawing
	void paint();
	// signals that the user has tapped somewhere. 
	// returns: the number that the user has tapped. -1 if no number
	int userTap(int x, int y); 
private:
	Navigator* navigator;
	SwordIndex* position;
	UString command;
	int maxNumber, maxOTNumber;
};

#endif // !defined(AFX_NAVBOOKS_H__35FAA458_FB75_451F_ABA4_FEE4D5D24BFC__INCLUDED_)
