#ifndef NAVRENDERTEXT_H
#define NAVRENDERTEXT_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "utils.h"

class Navigator;

class NavRenderText  
{
public:
	int verseCount; //number of verses on screen

	NavRenderText(Navigator* navigator);
	virtual ~NavRenderText();

	void show(bool forceRefresh=false);
	void paint();
	void hide();
	void keyDown(WPARAM id, LPARAM lparam);
private:
	Navigator* navigator;
	HWND htmlControl;
	void load();
	void showText(bool forceRefresh=false);
	String getVerseHeader();
	int currentBook;
	int currentChapter;
};

#endif // !defined(NAVRENDERTEXT_H)
